Enable Task
curl --request POST \
--url https://api.boostgpt.co/v1/bot/tasks/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"task_id": "<string>"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/tasks/enable"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"task_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', bot_id: '<string>', task_id: '<string>'})
};
fetch('https://api.boostgpt.co/v1/bot/tasks/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"uuid": "<string>",
"bot_id": "<string>",
"name": "<string>",
"description": "<string>",
"prompt": "<string>",
"purpose": "<string>",
"schedule_type": "once",
"schedule_config": {},
"timezone": "<string>",
"enabled": true,
"state": "<string>",
"autonomy": "<string>",
"chat_mode": "<string>",
"active_hours_start": "<string>",
"active_hours_end": "<string>",
"execution_count": 123,
"max_executions": 123,
"error_count": 123,
"max_consecutive_errors": 123,
"last_executed_at": "2023-11-07T05:31:56Z",
"last_status": "<string>",
"last_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Tasks
Enable Task
Resume a disabled task on its existing schedule.
POST
/
v1
/
bot
/
tasks
/
enable
Enable Task
Was this page helpful?
⌘I